hdlist out-of-date at mib.pianetalinux.org?

Discussioni e feedback su pacchetti e repository MIB
Post Reply
User avatar
rolf
Utente
Utente
Posts: 112
Joined: 20 May 2009, 3:15
ROSA: R3 2012.1 x86_64
OpenMandriva: OMV 2014.0 x86_64
Kernel: 3.13.11-nrjQL-realti
Desktop: KDE 4.13.2
country: USA

hdlist out-of-date at mib.pianetalinux.org?

Post by rolf »

Hi,
I went to install grissino's new vlc etc. and added the repo at pianetalinux.org but hdlists seem to be from 10 Jan?
http://mib.pianetalinux.org/MIB/rosa201 ... edia_info/
Thanks.

User avatar
NicCo
Amministratore
Amministratore
Posts: 4739
Joined: 6 December 2007, 19:54

Re: hdlist out-of-date at mib.pianetalinux.org?

Post by NicCo »

Please, try again!



bye, NicCo
.
--- Professional experience ---
Kernel designer, engineer, maintainer and tester for ROSA Desktop and OpenMandriva Lx O.S.

--- currently I'm playing with ---
LTS Kernels > Linux 4.1.12-nrjQL <<< Linux 3.18.17-nrjQL <<< Linux 3.14.46-nrjQL
EOL Kernels > Linux 3.19.8-nrjQL <<< Linux 3.17.8-nrjQL <<< Linux 3.15.10-nrjQL

User avatar
rolf
Utente
Utente
Posts: 112
Joined: 20 May 2009, 3:15
ROSA: R3 2012.1 x86_64
OpenMandriva: OMV 2014.0 x86_64
Kernel: 3.13.11-nrjQL-realti
Desktop: KDE 4.13.2
country: USA

Re: hdlist out-of-date at mib.pianetalinux.org?

Post by rolf »

Yes, after urpmi.update and urpmi --auto-select, there were 59 updates from mib. 10 of those installed but there was some conflict between the old jackit and lib64jack0

Code: Select all

Installation failed:
        file /usr/lib64/jack/audioadapter.so from install of lib64jack0-1.9.9.5-69.2.x86_64 conflicts with file from package jackit-1.9.8-2.x86_64
        file /usr/lib64/jack/inprocess.so from install of lib64jack0-1.9.9.5-69.2.x86_64 conflicts with file from package jackit-1.9.8-2.x86_64
        file /usr/lib64/jack/jack_alsa.so from install of lib64jack0-1.9.9.5-69.2.x86_64 conflicts with file from package jackit-1.9.8-2.x86_64
        file /usr/lib64/jack/jack_alsarawmidi.so from install of lib64jack0-1.9.9.5-69.2.x86_64 conflicts with file from package jackit-1.9.8-2.x86_64
        file /usr/lib64/jack/jack_dummy.so from install of lib64jack0-1.9.9.5-69.2.x86_64 conflicts with file from package jackit-1.9.8-2.x86_64
        file /usr/lib64/jack/jack_loopback.so from install of lib64jack0-1.9.9.5-69.2.x86_64 conflicts with file from package jackit-1.9.8-2.x86_64
        file /usr/lib64/jack/jack_net.so from install of lib64jack0-1.9.9.5-69.2.x86_64 conflicts with file from package jackit-1.9.8-2.x86_64
        file /usr/lib64/jack/jack_netone.so from install of lib64jack0-1.9.9.5-69.2.x86_64 conflicts with file from package jackit-1.9.8-2.x86_64
        file /usr/lib64/jack/netadapter.so from install of lib64jack0-1.9.9.5-69.2.x86_64 conflicts with file from package jackit-1.9.8-2.x86_64
        file /usr/lib64/jack/netmanager.so from install of lib64jack0-1.9.9.5-69.2.x86_64 conflicts with file from package jackit-1.9.8-2.x86_64
        file /usr/lib64/jack/profiler.so from install of lib64jack0-1.9.9.5-69.2.x86_64 conflicts with file from package jackit-1.9.8-2.x86_64
Since jackit was updated in the 10 packages that went in the first time, I think, the other 49 got installed with another urpmi --auto-select
Maybe there is some switch or method that avoids this out-of-order installation problem. I seem to recall seeing it before.

Thanks!

User avatar
NicCo
Amministratore
Amministratore
Posts: 4739
Joined: 6 December 2007, 19:54

Re: hdlist out-of-date at mib.pianetalinux.org?

Post by NicCo »

try putting unwilled rpms in /etc/urpmi/skip,list
then urpmi will be able to update all other rpms
.
--- Professional experience ---
Kernel designer, engineer, maintainer and tester for ROSA Desktop and OpenMandriva Lx O.S.

--- currently I'm playing with ---
LTS Kernels > Linux 4.1.12-nrjQL <<< Linux 3.18.17-nrjQL <<< Linux 3.14.46-nrjQL
EOL Kernels > Linux 3.19.8-nrjQL <<< Linux 3.17.8-nrjQL <<< Linux 3.15.10-nrjQL

User avatar
rolf
Utente
Utente
Posts: 112
Joined: 20 May 2009, 3:15
ROSA: R3 2012.1 x86_64
OpenMandriva: OMV 2014.0 x86_64
Kernel: 3.13.11-nrjQL-realti
Desktop: KDE 4.13.2
country: USA

Re: hdlist out-of-date at mib.pianetalinux.org?

Post by rolf »

Ok. As it is, all updates were installed, just in two transactions. It seems once jackit got updated, the conflict disappeared. I am thinking something like the manual describes,

Code: Select all

       --split-level number
           Split urpmi's operation in small transactions when the total number of packages to upgrade is
           greater than the given number. This option is activated by default, and the default value of number
           is 20.

       --split-length count
           Split urpmi's operation in small transactions of at least count packages. The default is 8 and
           setting this value to 0 just disables splitting in small transactions.
Possibly, urpmi was, by default, transacting 8 packages at a time and did not know that a package from another transaction would resolve the conflict.
--split-length 0
seems to avoid this theoretical situation.

Thanks.

Post Reply